Subject: bug#36332: non-GUI build broken on macOS

From: Paul Eggert <[email-masked]>
Date: Sat, 22 Jun 2019 13:25:58 -0700

Alan Third wrote:

> I haven’t been following the clean build chat on emacs-devel, does
> make extraclean delete macuvs.h?

Yes, and this was true even before the recent patches in this area.
> We could try returning a useful message at configure time instead of
> just failing during the build. Do you think the attached patch is OK?

Sure, that looks good.

> I’d rather not just build headless as the usual build process on the
> Mac is to do ’make; make install’

My idea is that plain 'make' would build a headless Emacs for src/temacs and 
src/bootstrap-emacs, as that's all that Emacs needs to compile itself. However, 
src/emacs would continue to be an Emacs with the GUI. This could be done on all 
platforms, not just macOS. Admittedly it'd be some work.